# Mail::NextAddress::Qmail
#
# Copyright 2003 by Peter Pentchev
#
# This library is free software; you can redistribute it and/or modify
# it under the same terms as Perl itself. 
#
# $Ringlet: perl/sys/periodicxml/Mail/NextAddress/Qmail/Qmail.pm,v 1.2 2003/07/05 03:55:13 roam Exp $

package Mail::NextAddress::Qmail;

use 5.005;
use strict;
use vars qw($VERSION @ISA);
@ISA = qw();

$VERSION = '0.00_01';
$VERSION = eval $VERSION;  # see L<perlmodstyle>


# Preloaded methods go here.

sub Guess($)
{
	my ($prefix) = @_;
	my ($sender, $rcpt) = (undef, undef);

	# Parse qmail's environment variable settings...
	if (defined($ENV{'SENDER'}) && $ENV{'SENDER'} =~ /(.*)/) {
		$sender = $1;
	}
	if (defined($ENV{'DEFAULT'})) {
		if (defined($ENV{'EXT'}) && $ENV{'EXT'} =~ ".*?$prefix-(.*)") {
			my ($t) = ($1);
			$rcpt = '';
			while ($t =~ /(.*?)=([[:xdigit:]][[:xdigit:]])(.*)/) {
				my ($first, $char, $rest) = ($1, pack("H*", $2), $3);
				$rcpt .= $first.$char;
				$t = $rest;
			}
			$rcpt .= $t;
		}
	} else {
		if (defined($ENV{'LOCAL'}) && defined($ENV{'HOST'}))
		{
			my $ads = $ENV{'LOCAL'}."@".$ENV{'HOST'};
			if ($ads =~ /(.*@.*)/) {
				$rcpt = $1;
			}
		}
	}
	return ($sender, $rcpt);
}

1;
__END__
# Below is stub documentation for your module. You'd better edit it!

=head1 NAME

Mail::NextAddress::Qmail - Perl extension for blah blah blah

=head1 SYNOPSIS

  use Mail::NextAddress::Qmail;
  blah blah blah

=head1 ABSTRACT

  This should be the abstract for Mail::NextAddress::Qmail.
  The abstract is used when making PPD (Perl Package Description) files.
  If you don't want an ABSTRACT you should also edit Makefile.PL to
  remove the ABSTRACT_FROM option.

=head1 DESCRIPTION

Stub documentation for Mail::NextAddress::Qmail, created by h2xs. It looks like the
author of the extension was negligent enough to leave the stub
unedited.

Blah blah blah.


=head1 SEE ALSO

Mention other useful documentation such as the documentation of
related modules or operating system documentation (such as man pages
in UNIX), or any relevant external documentation such as RFCs or
standards.

If you have a mailing list set up for your module, mention it here.

If you have a web site set up for your module, mention it here.

=head1 AUTHOR

Peter Pentchev, E<lt>roam@ringlet.netE<gt>

=head1 COPYRIGHT AND LICENSE

Copyright 2003 by Peter Pentchev

This library is free software; you can redistribute it and/or modify
it under the same terms as Perl itself. 

=cut
