-- MySQL dump 9.08
--
-- Host: localhost    Database: periodic
---------------------------------------------------------
-- Server version	4.0.13

-- $Ringlet: perl/sys/periodicxml/knobase/knobase-create.sql,v 1.3 2003/07/05 04:09:55 roam Exp $

--
-- Table structure for table 'reports'
--

CREATE TABLE reports (
  RepID int(10) unsigned NOT NULL auto_increment,
  RepType varchar(16) NOT NULL default '',
  RepHost varchar(255) NOT NULL default '',
  RepDate datetime NOT NULL default '0000-00-00 00:00:00',
  RepTextDate varchar(255) NOT NULL default '',
  RepName varchar(255) NOT NULL default '',
  RepSender varchar(255) NOT NULL default '',
  PRIMARY KEY  (RepID),
  KEY RepType (RepType,RepHost,RepDate)
) TYPE=MyISAM;

--
-- Table structure for table 'rep_disk_status'
--

CREATE TABLE rep_disk_status (
  DiskID int(10) unsigned NOT NULL auto_increment,
  DiskRep int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (DiskID),
  KEY DiskRep (DiskRep)
) TYPE=MyISAM;

--
-- Table structure for table 'rep_disk_status_fs'
--

CREATE TABLE rep_disk_status_fs (
  FSID int(10) unsigned NOT NULL auto_increment,
  FSDisk int(10) unsigned NOT NULL default '0',
  FSBlocks int(10) unsigned NOT NULL default '0',
  FSUsed int(10) unsigned NOT NULL default '0',
  FSAvail int(11) NOT NULL default '0',
  FSCapacity int(11) NOT NULL default '0',
  FSMount varchar(255) NOT NULL default '',
  PRIMARY KEY  (FSID),
  KEY FSDisk (FSDisk),
  KEY FSMount (FSMount)
) TYPE=MyISAM;

--
-- Table structure for table 'rep_dumps'
--

CREATE TABLE rep_dumps (
  LDumpID int(10) unsigned NOT NULL auto_increment,
  LDumpRep int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (LDumpID),
  KEY LDumpRep (LDumpRep)
) TYPE=MyISAM;

--
-- Table structure for table 'rep_dumps_fs'
--

CREATE TABLE rep_dumps_fs (
  DumpID int(10) unsigned NOT NULL auto_increment,
  DumpLast int(10) unsigned NOT NULL default '0',
  DumpFS varchar(255) NOT NULL default '',
  DumpMount varchar(255) NOT NULL default '',
  DumpLevel int(10) unsigned NOT NULL default '0',
  DumpDate varchar(255) NOT NULL default '',
  PRIMARY KEY  (DumpID),
  KEY DumpLast (DumpLast)
) TYPE=MyISAM;

--
-- Table structure for table 'rep_kernlog'
--

CREATE TABLE rep_kernlog (
  KLogID int(10) unsigned NOT NULL auto_increment,
  KLogRep int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (KLogID),
  KEY KLogRep (KLogRep)
) TYPE=MyISAM;

--
-- Table structure for table 'rep_kernlog_lines'
--

CREATE TABLE rep_kernlog_lines (
  KernID int(10) unsigned NOT NULL auto_increment,
  KernLog int(10) unsigned NOT NULL default '0',
  KernText varchar(255) NOT NULL default '',
  PRIMARY KEY  (KernID),
  KEY KernLog (KernLog)
) TYPE=MyISAM;

--
-- Table structure for table 'rep_mailq_qmail'
--

CREATE TABLE rep_mailq_qmail (
  MailID int(10) unsigned NOT NULL auto_increment,
  MailRep int(10) unsigned NOT NULL default '0',
  MailQueued int(10) unsigned NOT NULL default '0',
  MailNotProc int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (MailID),
  KEY MailRep (MailRep)
) TYPE=MyISAM;

--
-- Table structure for table 'rep_mailq_qmail_msg'
--

CREATE TABLE rep_mailq_qmail_msg (
  MsgKey int(10) unsigned NOT NULL auto_increment,
  MsgMail int(10) unsigned NOT NULL default '0',
  MsgID varchar(16) NOT NULL default '',
  MsgDate datetime default NULL,
  MsgSize int(11) default NULL,
  MsgSender varchar(255) default NULL,
  MsgRcpt varchar(255) default NULL,
  PRIMARY KEY  (MsgKey),
  KEY MsgMail (MsgMail)
) TYPE=MyISAM;

--
-- Table structure for table 'rep_orphan'
--

CREATE TABLE rep_orphan (
  OID int(10) unsigned NOT NULL auto_increment,
  ORep int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (OID),
  KEY ORep (ORep)
) TYPE=MyISAM;

--
-- Table structure for table 'rep_orphan_files'
--

CREATE TABLE rep_orphan_files (
  OrphID int(10) unsigned NOT NULL auto_increment,
  OrphBatch int(10) unsigned NOT NULL default '0',
  OrphName varchar(255) NOT NULL default '',
  PRIMARY KEY  (OrphID),
  KEY OrphBatch (OrphBatch),
  KEY OrphName (OrphName)
) TYPE=MyISAM;

--
-- Table structure for table 'rep_pkg'
--

CREATE TABLE rep_pkg (
  PID int(10) unsigned NOT NULL auto_increment,
  PRep int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (PID),
  KEY PRep (PRep)
) TYPE=MyISAM;

--
-- Table structure for table 'rep_pkg_data'
--

CREATE TABLE rep_pkg_data (
  PkgID int(10) unsigned NOT NULL auto_increment,
  PkgBatch int(10) unsigned NOT NULL default '0',
  PkgName varchar(255) NOT NULL default '',
  PkgReason varchar(255) NOT NULL default '',
  PkgComment varchar(255) NOT NULL default '',
  PRIMARY KEY  (PkgID),
  KEY PkgBatch (PkgBatch),
  KEY PkgName (PkgName)
) TYPE=MyISAM;

--
-- Table structure for table 'rep_status_net'
--

CREATE TABLE rep_status_net (
  NetID int(10) unsigned NOT NULL auto_increment,
  NetRep int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (NetID),
  KEY NetRep (NetRep)
) TYPE=MyISAM;

--
-- Table structure for table 'rep_status_net_iface'
--

CREATE TABLE rep_status_net_iface (
  IfID int(10) unsigned NOT NULL auto_increment,
  IfNet int(10) unsigned NOT NULL default '0',
  IfName varchar(32) default NULL,
  IfMTU int(10) unsigned NOT NULL default '0',
  IfNetwork varchar(255) NOT NULL default '',
  IfAddress varchar(255) NOT NULL default '',
  IfInPkt int(10) unsigned NOT NULL default '0',
  IfInErr int(10) unsigned NOT NULL default '0',
  IfOutPkt int(10) unsigned NOT NULL default '0',
  IfOutErr int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (IfID),
  KEY IfNet (IfNet),
  KEY IfName (IfName,IfAddress)
) TYPE=MyISAM;

--
-- Table structure for table 'rep_uid0'
--

CREATE TABLE rep_uid0 (
  ZeroID int(10) unsigned NOT NULL auto_increment,
  ZeroRep int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (ZeroID),
  KEY ZeroRep (ZeroRep)
) TYPE=MyISAM;

--
-- Table structure for table 'rep_uid0_users'
--

CREATE TABLE rep_uid0_users (
  UserKey int(10) unsigned NOT NULL auto_increment,
  UserIdx int(10) unsigned NOT NULL default '0',
  UserName varchar(255) NOT NULL default '',
  UserID int(11) NOT NULL default '0',
  PRIMARY KEY  (UserKey),
  KEY UserIdx (UserIdx)
) TYPE=MyISAM;

